summaryrefslogtreecommitdiffstats
path: root/source/n/trn/trn.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/trn/trn.SlackBuild')
-rwxr-xr-xsource/n/trn/trn.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/source/n/trn/trn.SlackBuild b/source/n/trn/trn.SlackBuild
new file mode 100755
index 000000000..ed9b3146d
--- /dev/null
+++ b/source/n/trn/trn.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=3.6
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-trn
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Explode the package framework:
+cd $PKG
+explodepkg $CWD/_trn.tar.gz
+
+echo "+============================================+"
+echo "| trn-$VERSION for NNTP (with mthreads/Overviews) |"
+echo "+============================================+"
+cd $TMP
+rm -rf trn-$VERSION
+tar xvf $CWD/trn-$VERSION.tar.gz || exit 1
+cd trn-$VERSION || exit 1
+#zcat $CWD/trn-$VERSION.nntp.diff.gz | patch -p1
+if [ "$ARCH" = "x86_64" ]; then
+ zcat $CWD/config.x86_64.sh.gz > config.sh
+else
+ zcat $CWD/config.sh.gz > config.sh
+fi
+# Here, just take the defaults. If you get a "whoa there!", use
+# the newly detected value, not the old one.
+./Configure -f config.sh
+
+make clean
+make || exit 1
+
+cat Pnews > $PKG/usr/bin/Pnews
+cat Rnmail > $PKG/usr/bin/Rnmail
+cat newsetup > $PKG/usr/bin/newsetup
+cat newsgroups > $PKG/usr/bin/newsgroups
+cat nntplist > $PKG/usr/bin/nntplist
+cat trn > $PKG/usr/bin/trn
+cat trn-artchk > $PKG/usr/bin/trn-artchk
+cat trn > $PKG/usr/bin/trn
+cat Pnews.1 | gzip -9c > $PKG/usr/man/man1/Pnews.1.gz
+cat Rnmail.1 | gzip -9c > $PKG/usr/man/man1/Rnmail.1.gz
+cat newsetup.1 | gzip -9c > $PKG/usr/man/man1/newsetup.1.gz
+cat newsgroups.1 | gzip -9c > $PKG/usr/man/man1/newsgroups.1.gz
+cat trn.1 | gzip -9c > $PKG/usr/man/man1/trn.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/trn-$VERSION-$ARCH-$BUILD.txz
+